java.rmi.activation

## Class UnknownGroupException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.rmi.activation.ActivationException
      - - java.rmi.activation.UnknownGroupException

All Implemented Interfaces:
  Serializable

    public class UnknownGroupException
    extends ActivationException

An `UnknownGroupException` is thrown by methods of classes and interfaces in the `java.rmi.activation` package when the `ActivationGroupID` parameter to the method is determined to be invalid, i.e., not known by the `ActivationSystem`. An `UnknownGroupException` is also thrown if the `ActivationGroupID` in an `ActivationDesc` refers to a group that is not registered with the `ActivationSystem`

Since:
  1.2
See Also:
  `Activatable`, `ActivationGroup`, `ActivationGroupID`, `ActivationMonitor`, `ActivationSystem`, Serialized Form

### Field Summary

### Fields inherited from class java.rmi.activation.ActivationException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`UnknownGroupException(String s)` Constructs an `UnknownGroupException` with the specified detail message.

### Method Summary

### Methods inherited from class java.rmi.activation.ActivationException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownGroupException

    public UnknownGroupException(String s)

Constructs an `UnknownGroupException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.2

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.